<?php


namespace Venom\Admin;


use Venom\Helper\URLHelper;
use Venom\Views\RenderController;
use Venom\Views\VenomRenderer;

class AdminController implements RenderController

{

    private string $tpl = 'default';

    public function register(): bool
    {
        return true;
    }

    public function render(VenomRenderer $renderer): bool
    {
        if (URLHelper::getInstance()->getUrl() !== '/admin/') {
            http_response_code(404);
            $this->tpl = 'async';
        }
        return true;
    }

    public function getTemplate(): string
    {
        return $this->tpl;
    }
}